summaryrefslogtreecommitdiff
path: root/test-art-target-test.sh
diff options
context:
space:
mode:
authorVishal Bhoj <vishal.bhoj@linaro.org>2015-11-07 18:19:04 +0530
committerVishal Bhoj <vishal.bhoj@linaro.org>2015-11-08 17:26:22 +0530
commit68f000b90b589b990cf29f86aeb33471a85dcf09 (patch)
tree3ed177cd5b616a7a8a105ce6dd5d8e5abe8d1783 /test-art-target-test.sh
parent2998de27bb4371bc3343f41bd25894a725036db9 (diff)
downloadart-build-tests.sh-68f000b90b589b990cf29f86aeb33471a85dcf09.tar.gz
Fix target art test
Signed-off-by: Vishal Bhoj <vishal.bhoj@linaro.org>
Diffstat (limited to 'test-art-target-test.sh')
-rwxr-xr-xtest-art-target-test.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/test-art-target-test.sh b/test-art-target-test.sh
index 731af42..d69e3ad 100755
--- a/test-art-target-test.sh
+++ b/test-art-target-test.sh
@@ -1,5 +1,6 @@
#!/bin/bash
. $PWD/setup-android.sh
+set -xe
sudo chmod -R 777 /tmp/
sudo umount -f out/target/product
@@ -19,6 +20,10 @@ fi
MAKE_START=$(date +%s.%N)
source build/envsetup.sh
lunch armv8-userdebug
+export ANDROID_COMPILE_WITH_JACK=false
+export CUSTOM_TARGET_LINKER=/data/local/tmp/system/bin/linker64
+export ANDROID_PRODUCT_OUT=$PWD/out/target/product/armv8/
+export TARGET_PRODUCT=armv8
time ./art/tools/buildbot-build.sh -j12 --target
sudo out/host/linux-x86/bin/adb start-server
./art/tools/setup-buildbot-device.sh
@@ -32,6 +37,7 @@ export ART_TEST_OPTIMIZING=true
export ART_TEST_RUN_TEST_2ND_ARCH=false
export ART_TEST_RUN_TEST_DEBUG=false
export ART_TEST_RUN_TEST_NDEBUG=true
+export ART_TEST_RUN_TEST_DEBUGGABLE=true
export ART_USE_OPTIMIZING_COMPILER=true
failed=0
make USE_NINJA=false -j2 $MAKE_TARGETS > $WORKSPACE/build-logs-64.txt 2>&1
@@ -55,9 +61,12 @@ rm -rf out/target/product/generic*
source build/envsetup.sh
lunch aosp_flounder32-userdebug
+export CUSTOM_TARGET_LINKER=/data/local/tmp/system/bin/linker
+export ANDROID_PRODUCT_OUT=$PWD/out/target/product/flounder32/
+export TARGET_PRODUCT=aosp_flounder32
+export ANDROID_COMPILE_WITH_JACK=false
time ./art/tools/buildbot-build.sh -j12 --target
./art/tools/setup-buildbot-device.sh
-
export ART_BUILD_HOST_DEBUG=false
export ART_TEST_ANDROID_ROOT="/data/local/tmp/system"
export ART_TEST_FULL=false
@@ -67,6 +76,7 @@ export ART_TEST_OPTIMIZING=true
export ART_TEST_RUN_TEST_2ND_ARCH=false
export ART_TEST_RUN_TEST_DEBUG=false
export ART_TEST_RUN_TEST_NDEBUG=true
+export ART_TEST_RUN_TEST_DEBUGGABLE=true
export ART_USE_OPTIMIZING_COMPILER=true
make USE_NINJA=false -j2 $MAKE_TARGETS > $WORKSPACE/build-logs-32.txt 2>&1